<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.persagy</groupId>
        <artifactId>adm-business</artifactId>
        <version>1.0.0</version>
    </parent>

    <groupId>com.persagy</groupId>
    <artifactId>adm-diagram</artifactId>

    <repositories>
        <repository>
            <id>Persagy</id>
            <name>persagy</name>
            <url>http://47.93.132.139:8081/nexus/content/groups/public/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <dependencies>
        <!-- 配置中心（包含注册中心） -->
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>integrated-config-client</artifactId>
        </dependency>
        <!-- 项目启动 -->
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-server</artifactId>
        </dependency>
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-digital-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-file-starter</artifactId>
        </dependency>


        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.locationtech.jts</groupId>
            <artifactId>jts-core</artifactId>
            <version>1.16.1</version>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>

        <dependency>
            <groupId>com.spring4all</groupId>
            <artifactId>swagger-spring-boot-starter</artifactId>
            <version>1.7.1.RELEASE</version>
        </dependency>

    </dependencies>
</project>